package com.fs.hisStore.mapper;

import com.fs.hisStore.domain.FsStoreProductTagScrm;
import com.fs.hisStore.vo.FsStoreProductTagListVO;
import com.fs.hisStore.vo.FsStoreTagProductVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper
 */
public interface FsStoreProductTagScrmMapper {

    FsStoreProductTagScrm selectById(Long id);

    List<FsStoreProductTagListVO> selectListVO(FsStoreProductTagScrm query);

    int insert(FsStoreProductTagScrm entity);

    int update(FsStoreProductTagScrm entity);

    int deleteById(Long id);

    int deleteByIds(Long[] ids);

    List<FsStoreTagProductVO> selectProductsByTagId(@Param("tagId") Long tagId);
}
